<?php

/*
 * On indique que les chemins des fichiers qu'on inclut
 * seront relatifs au répertoire src.
 */
set_include_path("./src");

/* Inclusion des classes utilisées dans ce fichier */
require_once("Router.php");
require_once("model/AnimalStorageStub.php");

/*
 * On crée l'instance de AnimalStorage qui sera utilisée par le site.
 * Pour l'instant on utilise un AnimalStorageStub, mais pour utiliser
 * autre chose (un fichier ou une BD) il suffira de changer ce fichier:
 * l'application ne se rendra compte de rien.
 */
$animaldb = new AnimalStorageStub();

/*
 * Cette page est simplement le point d'arrivée de l'internaute
 * sur notre site. On se contente de créer un routeur
 * et de lancer son main.
 */
$router = new Router();
$router->main($animaldb);

?>
