<?php

/* Inclusion des dépendances de cette classe */
require_once("model/Animal.php");

/**
 * Interface pour isoler du reste de l'application
 * les questions relatives au stockage des animaux.
 */
interface AnimalStorage {

	/**
	 * Renvoie l'instance de Animal ayant pour identifiant
	 * celui passé en argument, ou null s'il n'en existe pas.
	 */
	public function read($id);

	/**
	 * Renvoie un tableau contenant tous les animaux de la base,
	 * indexés par leur identifiant.
	 */
	public function readAll();

}

?>
