<?php

/* Inclusion des dépendances de cette classe */
require_once("model/Animal.php");
require_once("model/AnimalStorage.php");

/**
 * Classe de test de l'application. Utilise un tableau
 * d'animaux stocké en dur, sans persistance des modifications.
 */
class AnimalStorageStub implements AnimalStorage {

	/** Le tableau d'animaux. */
	protected $animalsTab;

	/** Construit une nouvelle instance, avec le tableau par défaut. */
	public function __construct() {
		$this->animalsTab = array(
			'medor' => new Animal('Médor', 'chien', 4),
			'felix' => new Animal('Félix', 'chat', date('Y') - 1919),
			'denver' => new Animal('Denver', 'dinosaure', 65000000),
		);
	}

	/** Implémentation de la méthode de AnimalStorage */
	public function read($id) {
		if (key_exists($id, $this->animalsTab)) {
			return $this->animalsTab[$id];
		} else {
			return null;
		}
	}

	/** Implémentation de la méthode de AnimalStorage */
	public function readAll() {
		return $this->animalsTab;
	}

}

?>
